Permanently block a card
Learn the process for permanently blocking a card, for instance, if it is reported lost or stolen. This guide explains how to permanently deactivate a card, preventing further use.
The user in this document pertains to both the individual and business user types.
Blocked cards' sensitive card information, such as card number and security code (CVV/CVC), will not be accessible.
Note: Blocking or deletion of a card is irreversible. A blocked card cannot be reactivated.
Use Cases
- You want to permanently block/delete/unlink a specific card from the user account.
- You want to disassociate a card from a user account and free up a card slot from the allowed cards per user limit.
- You want to set the card status from the
locked(temporary) to ablocked(permanent) state. - You want to set the card status directly from the
activeto ablocked(permanent) state, provided there are no pending unsettled transactions made in the card. - You want to permanently block a card in cases of card loss, damage, and theft.
- You want to block a card due to contractual reasons permanently.
- You want to add a feature to your application that allows users to self-block or delete their cards.
Prerequisites
- The user profile risk assessment status must not be
risk_flagged. - The user profile must be in an
activestatus. - The user must have an
approvedKYC or KYB status. - The user account or wallet must be in an
activestatus. - The user card must be in an
lockedoractivestatus. - The user card has no pending transactions that need to be settled.
API Workflow
1
Block or delete an active/suspended card
Call the Block Card (DELETE /users/wallets/cards/{{card_id}}) by passing the type parameter to block a card.
The following values for the type parameter will trigger a card block:
loststolendamaged
Block Card request
curl --location --request DELETE 'https://{{cards_base_url}}/{{program_code}}/v1/users/wallets/cards/180ac588b91dc6bff6a5d42a671d1d6a' \
--header 'X-Auth-User-Id: {{user_id}}' \
--header 'Authorization: ••••••' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data 'type=damaged'Block Card response
{
"id": "180ac588b91dc6bff6a5d42a671d1d6a",
"number": "5545XXXXXXXX0000",
"status": "blocked"
}2
[v2] Block or delete an (active or locked) card
The V2 Card Status API is currently only restricted to JIT-configured programs.
Call the Card Status (Block) (PUT /users/wallets/cards/{{card_id}}/status) to unlock or reactivate a locked card by passing the action, origin , and reason.
Card Status (Block) API request parameters:
origin | action | reason | Description |
|
|
| The User confirms a fraudulent transaction on their card |
|
|
| The User reports their card as stolen |
|
|
| The User reports their card as lost |
|
|
| User reports physical card damage. Note: Blocking will not proceed if unsettled transactions exist; the Partner can allow to LOCK the card first. |
|
|
| The Partner confirms fraudulent activity on the card |
|
|
| Card details have been exposed or compromised in a data breach |
|
|
| Partner requests card or account closure. Note: Blocking will not proceed if unsettled transactions exist; the Partner can opt to LOCK the card first. |
Card Status (Block) request
curl --location --request PUT 'https://{{cards_base_url}}/{{program_code}}/v2/users/wallets/cards/{{card_id}}/statuses' \
--header 'X-Auth-User-ID: {{user_id}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: ••••••' \
--data '{
"action": "BLOCK",
"origin": "USER",
"reason": "LOST_CARD"
}Card Status (Block) response
{
"id": "{{card_id}}",
"status": "BLOCKED",
"reason": "LOST_CARD",
"origin": "USER",
"updated_at": "2026-03-17 02:14:23.426001434 +0000 UTC"
}Related Links
On this page
- Permanently block a card